Log in or register to post comments

Unity 5.3.2 and Vuforia

February 1, 2016 - 8:26am #1

Any solution for Unity 5.3.2 incompatibility with Vuforia??

Unity 5.3.2 and Vuforia

March 24, 2016 - 8:53am #22

Thanks showstorm for the feedback.

BTW:

concerning the GearVR + Unity 5.3.4 issue that I mentioned here:

https://developer.vuforia.com/forum/unity-extension-technical-discussion/gearvr-passthrough-camera-not-working-arvr-sample

the good news is that there is an easy fix for that (see thread above).

 

 

Unity 5.3.2 and Vuforia

March 24, 2016 - 3:11am #21

It's working perfect with Unity 5.3.4 . I've tester on both iOS and Android

Unity 5.3.2 and Vuforia

March 24, 2016 - 2:52am #20

The dex format compilation issue might be due to something else, not necessarily to Vuforia itself (perhaps just a duplicate JAR issue, as you mention);

 

as far as I can tell, Vuforia 5.5.9 generally works correctly on Unity 5.3.4;

the only known issue we are aware of is a problem with GearVR integration which is discussed in detail here:

https://developer.vuforia.com/forum/unity-extension-technical-discussion/gearvr-passthrough-camera-not-working-arvr-sample

 

Unity 5.3.2 and Vuforia

March 24, 2016 - 12:08am #19

Hi I know 5.3.4 is not yet supported, just want to point out that with 5.3.4 and vuforia sdk 5.5.9 just in my project (not using it in any scene) i have dex format compilation (probably due to duplicated jar)

Thx, hope it will be up and running soon! Keep up the good work!

Unity 5.3.2 and Vuforia

March 17, 2016 - 3:42am #18

Unity 5.3.4f1 is now working fine with vuforia, no more crashes when selecting ImageTarget or ARCamera prefabs.

Unity 5.3.2 and Vuforia

March 16, 2016 - 2:46am #17

Thank you for your quick response!

Unity 5.3.2 and Vuforia

March 16, 2016 - 2:37am #16

Minor correction: supported versions include 5.2.4 and 5.3.3, but also all versions between them, i.e. 5.3.0, 5.3.1 and 5.3.2 too.

 

Unity 5.3.2 and Vuforia

March 16, 2016 - 2:28am #15

The officially supported versions for Vuforia 559 are Unity 5.2.4 and 5.3.3;

but It may work with Unity 5.3.4 too;

for example, I've just downloaded Unity 5.3.4 and I've successfully built and run the following Vuforia Sample Apps:

  • ARVR 5-5-9 (in Mono and in Stereo with Cardboard viewer)
  • Image Targets 5-5-9
  • Multi Targets 5-5-9
  • Cylinder Targets 5-5-9
  • Cloud Reco 5-5-9
  • Books 5-5-9
  • Occlusion Management 5-5-9
  • Penguin 5-5-9
  • User Definted Targets 5-5-9
  • Video Playback 5-5-9

 

Unity 5.3.2 and Vuforia

March 15, 2016 - 1:54pm #14

Is it working with latest Unity 5.3.4 ?

Unity 5.3.2 and Vuforia

March 10, 2016 - 7:50am #13

No, as with previous versions, you will need to install the 32bit version of Unity 5 for Windows.

Unity 5.3.2 and Vuforia

March 10, 2016 - 7:00am #12

5.5.9 SDK  will be working with Unity 64bit editor on Windows?

Unity 5.3.2 and Vuforia

March 9, 2016 - 10:46am #11

UPDATE: Vuforia 5.5.9 has been released and supports Unity 5.3.2 and 5.3.3:

https://developer.vuforia.com/library/articles/Release_Notes/Vuforia-SDK-Release-Notes

https://developer.vuforia.com/downloads/sdk

Also, make sure to check the Unity Migration Guide before upgrading to Vuforia 5.5:

https://developer.vuforia.com/library/articles/Solution/Migrating-Unity-Projects-to-Vuforia-5-5

Unity 5.3.2 and Vuforia

March 9, 2016 - 10:46am #10

UPDATE: Vuforia 5.5.9 has been released and supports Unity 5.3.2 and 5.3.3:

https://developer.vuforia.com/library/articles/Release_Notes/Vuforia-SDK-Release-Notes

https://developer.vuforia.com/downloads/sdk

Also, make sure to check the Unity Migration Guide before upgrading to Vuforia 5.5:

https://developer.vuforia.com/library/articles/Solution/Migrating-Unity-Projects-to-Vuforia-5-5

Unity 5.3.2 and Vuforia

February 26, 2016 - 4:03am #9

I've noticed that after I create project with Unity 5.3.1 32bit set all things, then open in Unity 5.3.2 64bit (by accident) - it was working fine :)

 

Unity 5.3.2 and Vuforia

February 2, 2016 - 1:28am #8

Thanks AlessandorB 

Though ill never get those hours back, You have saved me a lot of chaisng my tail time. 

Regards

threespeed905

Unity 5.3.2 and Vuforia

February 2, 2016 - 12:43am #7

It was announced on January 28, yes, but it is not supported in the current Vuforia SDK 5.0.10 (which was published a while ago);

you will need to wait for a new Vuforia SDK release in which it is officially stated that "such release" supports Windows 10.

 

Unity 5.3.2 and Vuforia

February 2, 2016 - 12:32am #6

Just checked your front page as of the 28th you support Windows 10:

 

January 28, 2016

Vuforia for Enterprise

Today at ThingEvent, we announced two new Vuforia features for the enterprise.

Windows 10

With support for Windows 10, you’ll be able to target a new generation of Windows 10 devices, including Microsoft’s Surface Pro 4 and Surface Book. You can continue to use Unity to build a single cross-platform app that will run on iOS, Android and now Windows 10 devices, or add Vuforia to an existing app with Microsoft Visual Studio.

Unity 5.3.2 and Vuforia

February 2, 2016 - 12:22am #5

Thanks for the quick reply

 

So to use Vuforia I need a Windows 8 PC?

 

I have both the 64bit and 32bit versions of Unity 5.3.1 thanks for the tip on the installer. 

 

Regards

 

3Speed

 

Unity 5.3.2 and Vuforia

February 1, 2016 - 11:51pm #4

Windows 10 is not supported at present; it should be supported in a future version.

 

Additional tips about installing Unity 5.3.1 32-bit (note: the 64bit version is not supported currently)

1. Download and install the Unity 5.3.1 Editor 32bit version

2. Download and run the Unity Installer

3. When running the installer, uncheck the Unity Editor from the list (otherwise it will override the 32bit version with the 64bit version), and select the other components you wish to install (e.g. Android support)

 

See also:

https://developer.vuforia.com/library/getting-started

Unity 5.3.2 and Vuforia

February 1, 2016 - 10:44pm #3

I have tryed the Unity 5.3.1p3 64 bit and 32bit with Vuforia on both my PC and laptop running Windows 10.

I have run them as Administrator and have tried Compatability Mode. 

I have adjusted my Video Settings.

Repeated the Tutorial 9 times from the beginning (https://www.youtube.com/watch?v=qfxqfdtxyVA)

Its just full of Errors, basicly 2 days assing around just trying to do 1 simple 20min tutorial. 

"Your 64 bit Windows installation is missing an important service pack patch. Please apply http://support.microsoft.com/kb/976038 to ensure stability."

Patch is for Windows Vista

on running the tutorial I get this:

Setting BehaviourComponentFactory
UnityEngine.Debug:Log(Object)
Vuforia.ComponentFactoryStarterBehaviour:SetBehaviourComponentFactory() (at Assets/Vuforia/Scripts/Internal/ComponentFactoryStarterBehaviour.cs:47)
Vuforia.ComponentFactoryStarterBehaviour:Awake() (at Assets/Vuforia/Scripts/Internal/ComponentFactoryStarterBehaviour.cs:37)
UnityEngine.GameObject:AddComponent()
Vuforia.VuforiaBehaviour:Awake() (at Assets/Vuforia/Scripts/VuforiaBehaviour.cs:31)
 
Trackable Dragon lost
UnityEngine.Debug:Log(Object)
Vuforia.DefaultTrackableEventHandler:OnTrackingLost() (at Assets/Vuforia/Scripts/DefaultTrackableEventHandler.cs:107)
Vuforia.DefaultTrackableEventHandler:OnTrackableStateChanged(Status, Status) (at Assets/Vuforia/Scripts/DefaultTrackableEventHandler.cs:58)
Vuforia.TrackableBehaviour:RegisterTrackableEventHandler(ITrackableEventHandler)
Vuforia.DefaultTrackableEventHandler:Start() (at Assets/Vuforia/Scripts/DefaultTrackableEventHandler.cs:32)
 
Cannot use web cam, since the user has not authorized this!
UnityEngine.WebCamTexture:Play()
Vuforia.WebCamTexAdaptorImpl:Play()
Vuforia.WebCamImpl:StartCamera()
Vuforia.CameraDeviceImpl:StartCameraDevice()
Vuforia.CameraDeviceImpl:Start()
Vuforia.VuforiaAbstractBehaviour:StartVuforia(Boolean, Boolean)
Vuforia.VuforiaAbstractBehaviour:Start()
 
 
 

Unity 5.3.2 and Vuforia

February 1, 2016 - 9:55am #2
Log in or register to post comments